Subject: [NEW ISSUE] Content-Length is a hop-to-hop header

From: Yutaka OIWA <[email-masked]>
Date: Wed, 05 Dec 2007 03:29:45 +0900

Dear members,

"Content-Length" header is not included in the list of hop-to-hop 
headers in Section 13.5.1, meaning that it MUST be kept by proxies.  
However, if a proxy receives a response in non-chunked encoding and 
sends it in chunked encoding, or vice versa, the proxy must either add 
or remove the Content-Length header. It seems better that the header is 
treated as a hop-to-hop header, even though there is only one correct 
value for each message.

-- 
Yutaka OIWA, Ph.D.                                       Research Scientist
                            Research Center for Information Security (RCIS)
    National Institute of Advanced Industrial Science and Technology (AIST)
                      Mail addresses: <[email-masked]>, <[email-masked]>
OpenPGP: id[995DD3E1] fp[3C21 17D0 D953 77D3 02D7 4FEC 4754 40C1 995D D3E1]